> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves all notes associated with a specific company.

# Get Company Notes

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Company Note" objectPath="company-note" />


## OpenAPI

````yaml get /companies/{companyId}/notes
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /companies/{companyId}/notes:
    parameters:
      - name: companyId
        in: path
        required: true
        description: The unique identifier of the company
        example: cmp_ABC123
        schema:
          type: string
    get:
      tags:
        - Companies
      summary: Get Company Notes
      parameters:
        - name: limit
          in: query
          required: false
          description: 'Number of notes to retrieve. Default: 100. Maximum: 100'
          example: '2'
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: Page number to retrieve
          example: '1'
          schema:
            type: integer
        - name: sortBy
          in: query
          required: false
          description: >-
            The field by which to sort. Currently, only 'createdAt' is
            supported.
          example: createdAt
          schema:
            type: string
            enum:
              - createdAt
        - name: sortOrder
          in: query
          required: false
          description: >-
            The sort direction. Use 'desc' for descending order; any other value
            (or omission) will sort in ascending order.
          example: desc
          schema:
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CompanyNote'
                  total:
                    type: integer
                required:
                  - data
                  - total
              example:
                data:
                  - _id: act_j0NrG6rYEPP9TMmWC
                    teamId: tea_8QvkOiBfPdb2ZRhHi
                    companyId: cpn_Qf4CJuUrNUNmHm6uZ
                    createdAt: '2025-10-28T04:25:00.653Z'
                    note: could help our GTM team be more productive
                    userId: usr_ahfFktBBHUIxbVG5P
                  - _id: act_BYF2j06u0wgeLncub
                    teamId: tea_8QvkOiBfPdb2ZRhHi
                    companyId: cpn_Qf4CJuUrNUNmHm6uZ
                    createdAt: '2025-10-24T12:42:40.605Z'
                    note: Note created from the API!
                    userId: usr_ahfFktBBHUIxbVG5P
                total: 2
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '404':
          description: Company not found
          content:
            text/plain:
              example: Company not found
        '405':
          description: Method not allowed
components:
  schemas:
    CompanyNote:
      type: object
      description: A text note attached to a company record to store information.
      properties:
        _id:
          type: string
          description: Unique note identifier
        teamId:
          type: string
          description: Team ID that owns the company
        companyId:
          type: string
          description: Parent company ID
        note:
          type: string
          description: Note text content
        type:
          type: string
          description: Type of note or activity (e.g., 'annotated')
        userId:
          type: string
          description: ID of the user who created the note
        sendUserId:
          type: string
          description: ID of the sending user if applicable
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        updatedAt:
          type: string
          format: date-time
          description: Last update timestamp
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````